CLS
COLOR 15
INPUT "Link file name (no extension) ?", lname$
lname$ = lname$ + ".lk"
again:
INPUT "How many screens to link?", howmany%
IF howmany% <= 0 THEN
COLOR 4
PRINT "Quit screwin me around!"
COLOR 15
PRINT "Must be 1 or more"
BEEP
GOTO again
END IF

CLS
DIM filesl$(howmany%)
FOR I% = 1 TO howmany%
FILES "maps\*.map"
INPUT "Level file name (with extension) : ", filesl$(I%)
CLS
NEXT I%

OPEN lname$ FOR OUTPUT AS #1
WRITE #1, howmany%
FOR savelink% = 1 TO howmany%
WRITE #1, filesl$(savelink%)
NEXT
CLOSE #1

SUB Drawtri (x1%, y1%, x2%, y2%, x3%, y3%, col%)
LINE (x1%, y1%)-(x2%, y2%), col%
LINE (x2%, y2%)-(x3%, y3%), col%
LINE (x3%, y3%)-(x1%, y1%), col%
cntrx% = ((x1% + x2% + x3%) \ 3)
cntry% = ((y1% + y2% + y3%) \ 3)
PAINT (cntrx%, cntry%), col%, col%
END SUB

